# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "browser-window"
version = "0.5.1"
authors = ["Danny de Jong"]
publish = true
description = "A simple async/await aware browser (GUI) toolkit."
readme = "README.md"
keywords = ["browser", "chromium", "electron", "gui", "webview"]
categories = ["asynchronous", "gui", "web-programming"]
license = "MIT"
repository = "https://github.com/bamilab/browser-window"
[package.metadata.docs.rs]
all-features = true
default-target = "x86_64-pc-windows-msvc"

[lib]
name = "browser_window"
path = "src/lib.rs"
[dependencies.browser-window-core]
version = "0.0.1"
features = ["cef"]

[dependencies.futures-channel]
version = "^0.3"

[dependencies.lazy_static]
version = "1"

[dependencies.unsafe-send-sync]
version = "^0.1"
[dev-dependencies.tokio]
version = "^0.3"
features = ["rt-multi-thread"]

[features]
cef = ["browser-window-core/cef"]
default = ["cef"]
gtk = ["browser-window-core/gtk"]
threadsafe = []
